	.file	"asm-offsets.c"
# GNU C89 (GCC) version 12.2.0 (x86_64-pc-linux-gnu)
#	compiled by GNU C version 12.1.1 20220806, GMP version 6.2.1, MPFR version 4.1.0, MPC version 1.2.1, isl version none
# warning: MPFR header version 4.1.0 differs from library version 4.1.1.
# GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
#Versions of loaded plugins:
 #randomize_layout_plugin: 201402201816vanilla
 #latent_entropy_plugin: 201606141920vanilla
# options passed: -mno-sse -mno-mmx -mno-sse2 -mno-3dnow -mno-avx -m64 -mno-80387 -mno-fp-ret-in-387 -mpreferred-stack-boundary=3 -mskip-rax-setup -mtune=generic -mno-red-zone -mcmodel=kernel -mindirect-branch=thunk-extern -mindirect-branch-register -mindirect-branch-cs-prefix -mfunction-return=thunk-extern -mrecord-mcount -mfentry -march=x86-64 -O2 -std=gnu90 -p -fno-strict-aliasing -fno-common -fshort-wchar -fno-PIE -fcf-protection=none -falign-jumps=1 -falign-loops=1 -fno-asynchronous-unwind-tables -fno-jump-tables -fno-delete-null-pointer-checks -fno-allow-store-data-races -fstack-protector-strong -fno-omit-frame-pointer -fno-optimize-sibling-calls -ftrivial-auto-var-init=zero -fno-stack-clash-protection -fno-strict-overflow -fstack-check=no -fconserve-stack -fplugin=./scripts/gcc-plugins/latent_entropy_plugin.so -fplugin=./scripts/gcc-plugins/randomize_layout_plugin.so -fplugin-arg-randomize_layout_plugin-performance-mode -fprofile-arcs -ftest-coverage -fno-tree-loop-im
	.text
	.section	.text.startup,"ax",@progbits
	.p2align 4
	.globl	main
	.type	main, @function
main:
1:	call	__fentry__
	.section __mcount_loc, "a",@progbits
	.quad 1b
	.previous
	pushq	%rbp	#
	addq	$1, __gcov0.main(%rip)	#, __gcov0.main[0]
	movq	%rsp, %rbp	#,
# arch/x86/kernel/asm-offsets_64.c:20: 	BLANK();
#APP
# 20 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->"
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+8(%rip)	#, __gcov0.main[1]
# arch/x86/kernel/asm-offsets_64.c:24: 	OFFSET(KVM_STEAL_TIME_preempted, kvm_steal_time, preempted);
#APP
# 24 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->KVM_STEAL_TIME_preempted $16 offsetof(struct kvm_steal_time, preempted)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+16(%rip)	#, __gcov0.main[2]
# arch/x86/kernel/asm-offsets_64.c:25: 	BLANK();
#APP
# 25 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->"
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+24(%rip)	#, __gcov0.main[3]
# arch/x86/kernel/asm-offsets_64.c:29: 	ENTRY(bx);
#APP
# 29 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->pt_regs_bx $40 offsetof(struct pt_regs, bx)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+32(%rip)	#, __gcov0.main[4]
# arch/x86/kernel/asm-offsets_64.c:30: 	ENTRY(cx);
#APP
# 30 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->pt_regs_cx $88 offsetof(struct pt_regs, cx)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+40(%rip)	#, __gcov0.main[5]
# arch/x86/kernel/asm-offsets_64.c:31: 	ENTRY(dx);
#APP
# 31 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->pt_regs_dx $96 offsetof(struct pt_regs, dx)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+48(%rip)	#, __gcov0.main[6]
# arch/x86/kernel/asm-offsets_64.c:32: 	ENTRY(sp);
#APP
# 32 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->pt_regs_sp $152 offsetof(struct pt_regs, sp)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+56(%rip)	#, __gcov0.main[7]
# arch/x86/kernel/asm-offsets_64.c:33: 	ENTRY(bp);
#APP
# 33 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->pt_regs_bp $32 offsetof(struct pt_regs, bp)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+64(%rip)	#, __gcov0.main[8]
# arch/x86/kernel/asm-offsets_64.c:34: 	ENTRY(si);
#APP
# 34 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->pt_regs_si $104 offsetof(struct pt_regs, si)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+72(%rip)	#, __gcov0.main[9]
# arch/x86/kernel/asm-offsets_64.c:35: 	ENTRY(di);
#APP
# 35 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->pt_regs_di $112 offsetof(struct pt_regs, di)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+80(%rip)	#, __gcov0.main[10]
# arch/x86/kernel/asm-offsets_64.c:36: 	ENTRY(r8);
#APP
# 36 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->pt_regs_r8 $72 offsetof(struct pt_regs, r8)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+88(%rip)	#, __gcov0.main[11]
# arch/x86/kernel/asm-offsets_64.c:37: 	ENTRY(r9);
#APP
# 37 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->pt_regs_r9 $64 offsetof(struct pt_regs, r9)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+96(%rip)	#, __gcov0.main[12]
# arch/x86/kernel/asm-offsets_64.c:38: 	ENTRY(r10);
#APP
# 38 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->pt_regs_r10 $56 offsetof(struct pt_regs, r10)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+104(%rip)	#, __gcov0.main[13]
# arch/x86/kernel/asm-offsets_64.c:39: 	ENTRY(r11);
#APP
# 39 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->pt_regs_r11 $48 offsetof(struct pt_regs, r11)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+112(%rip)	#, __gcov0.main[14]
# arch/x86/kernel/asm-offsets_64.c:40: 	ENTRY(r12);
#APP
# 40 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->pt_regs_r12 $24 offsetof(struct pt_regs, r12)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+120(%rip)	#, __gcov0.main[15]
# arch/x86/kernel/asm-offsets_64.c:41: 	ENTRY(r13);
#APP
# 41 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->pt_regs_r13 $16 offsetof(struct pt_regs, r13)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+128(%rip)	#, __gcov0.main[16]
# arch/x86/kernel/asm-offsets_64.c:42: 	ENTRY(r14);
#APP
# 42 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->pt_regs_r14 $8 offsetof(struct pt_regs, r14)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+136(%rip)	#, __gcov0.main[17]
# arch/x86/kernel/asm-offsets_64.c:43: 	ENTRY(r15);
#APP
# 43 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->pt_regs_r15 $0 offsetof(struct pt_regs, r15)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+144(%rip)	#, __gcov0.main[18]
# arch/x86/kernel/asm-offsets_64.c:44: 	ENTRY(flags);
#APP
# 44 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->pt_regs_flags $144 offsetof(struct pt_regs, flags)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+152(%rip)	#, __gcov0.main[19]
# arch/x86/kernel/asm-offsets_64.c:45: 	BLANK();
#APP
# 45 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->"
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+160(%rip)	#, __gcov0.main[20]
# arch/x86/kernel/asm-offsets_64.c:49: 	ENTRY(cr0);
#APP
# 49 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->saved_context_cr0 $200 offsetof(struct saved_context, cr0)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+168(%rip)	#, __gcov0.main[21]
# arch/x86/kernel/asm-offsets_64.c:50: 	ENTRY(cr2);
#APP
# 50 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->saved_context_cr2 $208 offsetof(struct saved_context, cr2)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+176(%rip)	#, __gcov0.main[22]
# arch/x86/kernel/asm-offsets_64.c:51: 	ENTRY(cr3);
#APP
# 51 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->saved_context_cr3 $216 offsetof(struct saved_context, cr3)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+184(%rip)	#, __gcov0.main[23]
# arch/x86/kernel/asm-offsets_64.c:52: 	ENTRY(cr4);
#APP
# 52 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->saved_context_cr4 $224 offsetof(struct saved_context, cr4)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+192(%rip)	#, __gcov0.main[24]
# arch/x86/kernel/asm-offsets_64.c:53: 	ENTRY(gdt_desc);
#APP
# 53 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->saved_context_gdt_desc $266 offsetof(struct saved_context, gdt_desc)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+200(%rip)	#, __gcov0.main[25]
# arch/x86/kernel/asm-offsets_64.c:54: 	BLANK();
#APP
# 54 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->"
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+208(%rip)	#, __gcov0.main[26]
# arch/x86/kernel/asm-offsets_64.c:57: 	BLANK();
#APP
# 57 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->"
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+216(%rip)	#, __gcov0.main[27]
# arch/x86/kernel/asm-offsets_64.c:60: 	DEFINE(stack_canary_offset, offsetof(struct fixed_percpu_data, stack_canary));
#APP
# 60 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->stack_canary_offset $40 offsetof(struct fixed_percpu_data, stack_canary)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.main+224(%rip)	#, __gcov0.main[28]
# arch/x86/kernel/asm-offsets_64.c:61: 	BLANK();
#APP
# 61 "arch/x86/kernel/asm-offsets_64.c" 1
	
.ascii "->"
# 0 "" 2
# arch/x86/kernel/asm-offsets_64.c:64: }
#NO_APP
	xorl	%eax, %eax	#
	addq	$1, __gcov0.main+232(%rip)	#, __gcov0.main[29]
	popq	%rbp	#
	jmp	__x86_return_thunk
	.size	main, .-main
	.text
	.p2align 4
	.type	common, @function
common:
1:	call	__fentry__
	.section __mcount_loc, "a",@progbits
	.quad 1b
	.previous
	pushq	%rbp	#
	addq	$1, __gcov0.common(%rip)	#, __gcov0.common[0]
	movq	%rsp, %rbp	#,
# arch/x86/kernel/asm-offsets.c:34: 	BLANK();
#APP
# 34 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->"
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+8(%rip)	#, __gcov0.common[1]
# arch/x86/kernel/asm-offsets.c:35: 	OFFSET(TASK_threadsp, task_struct, thread.sp);
#APP
# 35 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->TASK_threadsp $3352 offsetof(struct task_struct, thread.sp)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+16(%rip)	#, __gcov0.common[2]
# arch/x86/kernel/asm-offsets.c:37: 	OFFSET(TASK_stack_canary, task_struct, stack_canary);
#APP
# 37 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->TASK_stack_canary $528 offsetof(struct task_struct, stack_canary)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+24(%rip)	#, __gcov0.common[3]
# arch/x86/kernel/asm-offsets.c:40: 	BLANK();
#APP
# 40 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->"
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+32(%rip)	#, __gcov0.common[4]
# arch/x86/kernel/asm-offsets.c:41: 	OFFSET(crypto_tfm_ctx_offset, crypto_tfm, __crt_ctx);
#APP
# 41 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->crypto_tfm_ctx_offset $24 offsetof(struct crypto_tfm, __crt_ctx)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+40(%rip)	#, __gcov0.common[5]
# arch/x86/kernel/asm-offsets.c:43: 	BLANK();
#APP
# 43 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->"
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+48(%rip)	#, __gcov0.common[6]
# arch/x86/kernel/asm-offsets.c:44: 	OFFSET(pbe_address, pbe, address);
#APP
# 44 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->pbe_address $0 offsetof(struct pbe, address)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+56(%rip)	#, __gcov0.common[7]
# arch/x86/kernel/asm-offsets.c:45: 	OFFSET(pbe_orig_address, pbe, orig_address);
#APP
# 45 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->pbe_orig_address $8 offsetof(struct pbe, orig_address)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+64(%rip)	#, __gcov0.common[8]
# arch/x86/kernel/asm-offsets.c:46: 	OFFSET(pbe_next, pbe, next);
#APP
# 46 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->pbe_next $16 offsetof(struct pbe, next)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+72(%rip)	#, __gcov0.common[9]
# arch/x86/kernel/asm-offsets.c:49: 	BLANK();
#APP
# 49 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->"
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+80(%rip)	#, __gcov0.common[10]
# arch/x86/kernel/asm-offsets.c:50: 	OFFSET(IA32_SIGCONTEXT_ax, sigcontext_32, ax);
#APP
# 50 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->IA32_SIGCONTEXT_ax $44 offsetof(struct sigcontext_32, ax)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+88(%rip)	#, __gcov0.common[11]
# arch/x86/kernel/asm-offsets.c:51: 	OFFSET(IA32_SIGCONTEXT_bx, sigcontext_32, bx);
#APP
# 51 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->IA32_SIGCONTEXT_bx $32 offsetof(struct sigcontext_32, bx)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+96(%rip)	#, __gcov0.common[12]
# arch/x86/kernel/asm-offsets.c:52: 	OFFSET(IA32_SIGCONTEXT_cx, sigcontext_32, cx);
#APP
# 52 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->IA32_SIGCONTEXT_cx $40 offsetof(struct sigcontext_32, cx)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+104(%rip)	#, __gcov0.common[13]
# arch/x86/kernel/asm-offsets.c:53: 	OFFSET(IA32_SIGCONTEXT_dx, sigcontext_32, dx);
#APP
# 53 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->IA32_SIGCONTEXT_dx $36 offsetof(struct sigcontext_32, dx)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+112(%rip)	#, __gcov0.common[14]
# arch/x86/kernel/asm-offsets.c:54: 	OFFSET(IA32_SIGCONTEXT_si, sigcontext_32, si);
#APP
# 54 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->IA32_SIGCONTEXT_si $20 offsetof(struct sigcontext_32, si)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+120(%rip)	#, __gcov0.common[15]
# arch/x86/kernel/asm-offsets.c:55: 	OFFSET(IA32_SIGCONTEXT_di, sigcontext_32, di);
#APP
# 55 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->IA32_SIGCONTEXT_di $16 offsetof(struct sigcontext_32, di)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+128(%rip)	#, __gcov0.common[16]
# arch/x86/kernel/asm-offsets.c:56: 	OFFSET(IA32_SIGCONTEXT_bp, sigcontext_32, bp);
#APP
# 56 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->IA32_SIGCONTEXT_bp $24 offsetof(struct sigcontext_32, bp)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+136(%rip)	#, __gcov0.common[17]
# arch/x86/kernel/asm-offsets.c:57: 	OFFSET(IA32_SIGCONTEXT_sp, sigcontext_32, sp);
#APP
# 57 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->IA32_SIGCONTEXT_sp $28 offsetof(struct sigcontext_32, sp)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+144(%rip)	#, __gcov0.common[18]
# arch/x86/kernel/asm-offsets.c:58: 	OFFSET(IA32_SIGCONTEXT_ip, sigcontext_32, ip);
#APP
# 58 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->IA32_SIGCONTEXT_ip $56 offsetof(struct sigcontext_32, ip)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+152(%rip)	#, __gcov0.common[19]
# arch/x86/kernel/asm-offsets.c:60: 	BLANK();
#APP
# 60 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->"
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+160(%rip)	#, __gcov0.common[20]
# arch/x86/kernel/asm-offsets.c:61: 	OFFSET(IA32_RT_SIGFRAME_sigcontext, rt_sigframe_ia32, uc.uc_mcontext);
#APP
# 61 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->IA32_RT_SIGFRAME_sigcontext $164 offsetof(struct rt_sigframe_ia32, uc.uc_mcontext)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+168(%rip)	#, __gcov0.common[21]
# arch/x86/kernel/asm-offsets.c:65: 	BLANK();
#APP
# 65 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->"
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+176(%rip)	#, __gcov0.common[22]
# arch/x86/kernel/asm-offsets.c:66: 	OFFSET(XEN_vcpu_info_mask, vcpu_info, evtchn_upcall_mask);
#APP
# 66 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->XEN_vcpu_info_mask $1 offsetof(struct vcpu_info, evtchn_upcall_mask)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+184(%rip)	#, __gcov0.common[23]
# arch/x86/kernel/asm-offsets.c:67: 	OFFSET(XEN_vcpu_info_pending, vcpu_info, evtchn_upcall_pending);
#APP
# 67 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->XEN_vcpu_info_pending $0 offsetof(struct vcpu_info, evtchn_upcall_pending)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+192(%rip)	#, __gcov0.common[24]
# arch/x86/kernel/asm-offsets.c:68: 	OFFSET(XEN_vcpu_info_arch_cr2, vcpu_info, arch.cr2);
#APP
# 68 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->XEN_vcpu_info_arch_cr2 $16 offsetof(struct vcpu_info, arch.cr2)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+200(%rip)	#, __gcov0.common[25]
# arch/x86/kernel/asm-offsets.c:71: 	BLANK();
#APP
# 71 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->"
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+208(%rip)	#, __gcov0.common[26]
# arch/x86/kernel/asm-offsets.c:72: 	OFFSET(BP_scratch, boot_params, scratch);
#APP
# 72 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->BP_scratch $484 offsetof(struct boot_params, scratch)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+216(%rip)	#, __gcov0.common[27]
# arch/x86/kernel/asm-offsets.c:73: 	OFFSET(BP_secure_boot, boot_params, secure_boot);
#APP
# 73 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->BP_secure_boot $492 offsetof(struct boot_params, secure_boot)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+224(%rip)	#, __gcov0.common[28]
# arch/x86/kernel/asm-offsets.c:74: 	OFFSET(BP_loadflags, boot_params, hdr.loadflags);
#APP
# 74 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->BP_loadflags $529 offsetof(struct boot_params, hdr.loadflags)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+232(%rip)	#, __gcov0.common[29]
# arch/x86/kernel/asm-offsets.c:75: 	OFFSET(BP_hardware_subarch, boot_params, hdr.hardware_subarch);
#APP
# 75 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->BP_hardware_subarch $572 offsetof(struct boot_params, hdr.hardware_subarch)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+240(%rip)	#, __gcov0.common[30]
# arch/x86/kernel/asm-offsets.c:76: 	OFFSET(BP_version, boot_params, hdr.version);
#APP
# 76 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->BP_version $518 offsetof(struct boot_params, hdr.version)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+248(%rip)	#, __gcov0.common[31]
# arch/x86/kernel/asm-offsets.c:77: 	OFFSET(BP_kernel_alignment, boot_params, hdr.kernel_alignment);
#APP
# 77 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->BP_kernel_alignment $560 offsetof(struct boot_params, hdr.kernel_alignment)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+256(%rip)	#, __gcov0.common[32]
# arch/x86/kernel/asm-offsets.c:78: 	OFFSET(BP_init_size, boot_params, hdr.init_size);
#APP
# 78 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->BP_init_size $608 offsetof(struct boot_params, hdr.init_size)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+264(%rip)	#, __gcov0.common[33]
# arch/x86/kernel/asm-offsets.c:79: 	OFFSET(BP_pref_address, boot_params, hdr.pref_address);
#APP
# 79 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->BP_pref_address $600 offsetof(struct boot_params, hdr.pref_address)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+272(%rip)	#, __gcov0.common[34]
# arch/x86/kernel/asm-offsets.c:81: 	BLANK();
#APP
# 81 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->"
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+280(%rip)	#, __gcov0.common[35]
# arch/x86/kernel/asm-offsets.c:82: 	DEFINE(PTREGS_SIZE, sizeof(struct pt_regs));
#APP
# 82 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->PTREGS_SIZE $168 sizeof(struct pt_regs)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+288(%rip)	#, __gcov0.common[36]
# arch/x86/kernel/asm-offsets.c:85: 	OFFSET(TLB_STATE_user_pcid_flush_mask, tlb_state, user_pcid_flush_mask);
#APP
# 85 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->TLB_STATE_user_pcid_flush_mask $22 offsetof(struct tlb_state, user_pcid_flush_mask)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+296(%rip)	#, __gcov0.common[37]
# arch/x86/kernel/asm-offsets.c:88: 	OFFSET(CPU_ENTRY_AREA_entry_stack, cpu_entry_area, entry_stack_page);
#APP
# 88 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->CPU_ENTRY_AREA_entry_stack $4096 offsetof(struct cpu_entry_area, entry_stack_page)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+304(%rip)	#, __gcov0.common[38]
# arch/x86/kernel/asm-offsets.c:89: 	DEFINE(SIZEOF_entry_stack, sizeof(struct entry_stack));
#APP
# 89 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->SIZEOF_entry_stack $4096 sizeof(struct entry_stack)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+312(%rip)	#, __gcov0.common[39]
# arch/x86/kernel/asm-offsets.c:90: 	DEFINE(MASK_entry_stack, (~(sizeof(struct entry_stack) - 1)));
#APP
# 90 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->MASK_entry_stack $-4096 (~(sizeof(struct entry_stack) - 1))"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+320(%rip)	#, __gcov0.common[40]
# arch/x86/kernel/asm-offsets.c:93: 	OFFSET(TSS_sp0, tss_struct, x86_tss.sp0);
#APP
# 93 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->TSS_sp0 $4 offsetof(struct tss_struct, x86_tss.sp0)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+328(%rip)	#, __gcov0.common[41]
# arch/x86/kernel/asm-offsets.c:94: 	OFFSET(TSS_sp1, tss_struct, x86_tss.sp1);
#APP
# 94 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->TSS_sp1 $12 offsetof(struct tss_struct, x86_tss.sp1)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+336(%rip)	#, __gcov0.common[42]
# arch/x86/kernel/asm-offsets.c:95: 	OFFSET(TSS_sp2, tss_struct, x86_tss.sp2);
#APP
# 95 "arch/x86/kernel/asm-offsets.c" 1
	
.ascii "->TSS_sp2 $20 offsetof(struct tss_struct, x86_tss.sp2)"	#
# 0 "" 2
#NO_APP
	addq	$1, __gcov0.common+344(%rip)	#, __gcov0.common[43]
# arch/x86/kernel/asm-offsets.c:96: }
	popq	%rbp	#
	jmp	__x86_return_thunk
	.size	common, .-common
	.section	.text.startup
	.p2align 4
	.type	_sub_I_00100_0, @function
_sub_I_00100_0:
	pushq	%rbp	#
	movq	$.LPBX0, %rdi	#,
	movq	%rsp, %rbp	#,
	call	__gcov_init	#
	popq	%rbp	#
	jmp	__x86_return_thunk
	.size	_sub_I_00100_0, .-_sub_I_00100_0
	.section	.init_array.00100,"aw"
	.align 8
	.quad	_sub_I_00100_0
	.section	.text.exit,"ax",@progbits
	.p2align 4
	.type	_sub_D_00100_1, @function
_sub_D_00100_1:
	pushq	%rbp	#
	movq	%rsp, %rbp	#,
	call	__gcov_exit	#
	popq	%rbp	#
	jmp	__x86_return_thunk
	.size	_sub_D_00100_1, .-_sub_D_00100_1
	.section	.fini_array.00100,"aw"
	.align 8
	.quad	_sub_D_00100_1
	.data
	.align 16
	.type	.LPBX1, @object
	.size	.LPBX1, 16
.LPBX1:
	.quad	__gcov_.common
	.quad	__gcov_.main
	.align 32
	.type	__gcov_.main, @object
	.size	__gcov_.main, 40
__gcov_.main:
# <anonymous>:
	.quad	.LPBX0
# <anonymous>:
	.long	108032747
# <anonymous>:
	.long	413010727
# <anonymous>:
	.long	767716967
# <anonymous>:
	.zero	4
# <anonymous>:
	.long	30
# <anonymous>:
	.zero	4
	.quad	__gcov0.main
	.section	.rodata.str1.8,"aMS",@progbits,1
	.align 8
.LC0:
	.string	"/tmp/work/src/linux-5.15/arch/x86/kernel/asm-offsets.gcda"
	.data
	.align 32
	.type	.LPBX0, @object
	.size	.LPBX0, 112
.LPBX0:
# <anonymous>:
	.long	1110585898
# <anonymous>:
	.zero	4
	.quad	0
# <anonymous>:
	.long	2051678165
# <anonymous>:
	.long	2057516603
# <anonymous>:
	.quad	.LC0
# <anonymous>:
	.quad	__gcov_merge_add
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
	.quad	0
# <anonymous>:
	.long	2
# <anonymous>:
	.zero	4
	.quad	.LPBX1
	.align 32
	.type	__gcov_.common, @object
	.size	__gcov_.common, 40
__gcov_.common:
# <anonymous>:
	.quad	.LPBX0
# <anonymous>:
	.long	1454171468
# <anonymous>:
	.long	-1307893671
# <anonymous>:
	.long	332912782
# <anonymous>:
	.zero	4
# <anonymous>:
	.long	44
# <anonymous>:
	.zero	4
	.quad	__gcov0.common
	.local	__gcov0.main
	.comm	__gcov0.main,240,32
	.local	__gcov0.common
	.comm	__gcov0.common,352,32
	.ident	"GCC: (GNU) 12.2.0"
	.section	.note.GNU-stack,"",@progbits
